One more privacy and security tool! Rated 4 out of 5 stars

I put this one in my Apollo! Pack! collection because it is one more tool for us to help plug one more leak. Maybe FF4 has this built in but 4 is a disaster. I urge people to run 3.6 until they fix 4 or maybe when they release 5 they will get their act together. Till then this one fills a void.

This review is for a previous version of the add-on (3.0.0).